Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

Operating Systems / Databases

  • All WSO2 Carbon-based products are Java applications that can be run on any platform that is Oracle JDK 1.6.*/1.7.* compliant. JDK 1.8 is not supported yetAlso, we do not recommend or support OpenJDK.    
  • All WSO2 Carbon-based products are generally compatible with most common DBMSs. For more information, see Working with Databases.
  • For environments that WSO2 products are tested with, see Compatibility of WSO2 Products.

Required applications

The following applications are required for running the product and its samples or for building from the source code. For details on installing these applications, see the installation section for Linux, Solaris, or Windows. Mandatory installs are marked with *.

...